Loading...
Searching...
No Matches
itk::TransformixFilter< TImage > Class Template Reference

`#include <itkTransformixFilter.h>`

## Detailed Description

template<typename TImage>
class itk::TransformixFilter< TImage >

Definition at line 59 of file itkTransformixFilter.h.

Inheritance diagram for itk::TransformixFilter< TImage >:
[legend]

## Public Types

using | ArgumentMapEntryType = ArgumentMapType::value_type
using | ArgumentMapType = TransformixMainType::ArgumentMapType
using | ConstPointer = SmartPointer<const Self>
using | DataObjectContainerPointer = TransformixMainType::DataObjectContainerPointer
using | DataObjectContainerType = TransformixMainType::DataObjectContainerType
using | DataObjectIdentifierType = ProcessObject::DataObjectIdentifierType
using | DataObjectPointer = ProcessObject::DataObjectPointer
using | DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType
using | InputImageType = TImage
using | MeshType = Mesh<OutputImagePixelType, MovingImageDimension>
using | OutputDeformationFieldType
using | ParameterMapType = ParameterObjectType::ParameterMapType
using | ParameterMapVectorType = ParameterObjectType::ParameterMapVectorType
using | ParameterObjectConstPointer = typename ParameterObjectType::ConstPointer
using | ParameterObjectPointer = typename ParameterObjectType::Pointer
using | ParameterObjectType = elx::ParameterObject
using | ParameterValueVectorType = ParameterObjectType::ParameterValueVectorType
using | Pointer = SmartPointer<Self>
using | Self = TransformixFilter
using | SpatialJacobianDeterminantImageType = itk::Image<float, MovingImageDimension>
using | SpatialJacobianMatrixImageType
using | Superclass = ImageSource<TImage>
using | TransformixMainPointer = TransformixMainType::Pointer
using | TransformixMainType = elx::TransformixMain
using | TransformType = Transform<double, MovingImageDimension, MovingImageDimension>

## Public Member Functions

virtual void | ComputeDeformationFieldOff ()
virtual void | ComputeDeformationFieldOn ()
virtual void | ComputeDeterminantOfSpatialJacobianOff ()
virtual void | ComputeDeterminantOfSpatialJacobianOn ()
SmartPointer< SpatialJacobianDeterminantImageType > | ComputeSpatialJacobianDeterminantImage () const
SmartPointer< SpatialJacobianMatrixImageType > | ComputeSpatialJacobianMatrixImage () const
virtual void | ComputeSpatialJacobianOff ()
virtual void | ComputeSpatialJacobianOn ()
void | DisableOutput ()
virtual const char * | GetClassName () const
virtual bool | GetComputeDeformationField () const
virtual bool | GetComputeDeterminantOfSpatialJacobian () const
virtual bool | GetComputeSpatialJacobian () const
virtual std::string | GetFixedPointSetFileName () const
const InputImageType * | GetInput () const
const DataObject * | GetInput (DataObjectPointerArraySizeType index) const
virtual std::string | GetLogFileName () const
virtual ElastixLogLevel | GetLogLevel () const
virtual bool | GetLogToConsole () const
virtual bool | GetLogToFile () const
const InputImageType * | GetMovingImage () const
OutputImageType * | GetOutput ()
const OutputImageType * | GetOutput () const
DataObject * | GetOutput (unsigned int idx)
const DataObject * | GetOutput (unsigned int idx) const
OutputDeformationFieldType * | GetOutputDeformationField ()
const OutputDeformationFieldType * | GetOutputDeformationField () const
virtual std::string | GetOutputDirectory () const
const MeshType * | GetOutputMesh () const
virtual std::string | GetTransformParameterFileName () const
ParameterObjectType * | GetTransformParameterObject ()
const ParameterObjectType * | GetTransformParameterObject () const
| ITK_DISALLOW_COPY_AND_MOVE (TransformixFilter)
| itkStaticConstMacro (MovingImageDimension, unsigned int, TImage::ImageDimension)
virtual void | LogToConsoleOff ()
virtual void | LogToConsoleOn ()
virtual void | LogToFileOff ()
virtual void | LogToFileOn ()
virtual void | RemoveFixedPointSetFileName ()
virtual void | RemoveLogFileName ()
virtual void | RemoveMovingImage ()
virtual void | RemoveOutputDirectory ()
virtual void | SetCombinationTransform (TransformType *_arg)
virtual void | SetComputeDeformationField (bool _arg)
virtual void | SetComputeDeterminantOfSpatialJacobian (bool _arg)
virtual void | SetComputeSpatialJacobian (bool _arg)
void | SetExternalTransform (TransformType *)
virtual void | SetFixedPointSetFileName (std::string _arg)
void | SetInput (DataObjectPointerArraySizeType index, DataObject *input)
void | SetInput (InputImageType *movingImage)
virtual void | SetInputMesh (const MeshType *_arg)
virtual void | SetLogFileName (std::string logFileName)
virtual void | SetLogLevel (ElastixLogLevel _arg)
virtual void | SetLogToConsole (bool _arg)
virtual void | SetLogToFile (bool _arg)
virtual void | SetMovingImage (TImage *inputImage)
virtual void | SetOutputDirectory (std::string _arg)
void | SetTransform (const TransformBase *)
void | SetTransformParameterFileName (std::string)
virtual void | SetTransformParameterObject (ParameterObjectType *transformParameterObject)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
void | GenerateOutputInformation () override
DataObjectPointer | MakeOutput (const DataObjectIdentifierType &key) override
| TransformixFilter ()

## Private Types

using | ElastixTransformBaseType = elx::TransformBase<elx::ElastixTemplate<TImage, TImage>>

## Private Member Functions

const ElastixTransformBaseType * | GetFirstElastixTransformBase () const

## Static Private Member Functions

static bool | IsEmpty (const InputImageType *inputImage)

## Private Attributes

SmartPointer< TransformType > | m_CombinationTransform
bool | m_ComputeDeformationField { false }
bool | m_ComputeDeterminantOfSpatialJacobian { false }
bool | m_ComputeSpatialJacobian { false }
bool | m_EnableOutput { true }
SmartPointer< TransformType > | m_ExternalTransform {}
std::string | m_FixedPointSetFileName {}
SmartPointer< const MeshType > | m_InputMesh {}
std::string | m_LogFileName {}
ElastixLogLevel | m_LogLevel {}
bool | m_LogToConsole { false }
bool | m_LogToFile { false }
std::string | m_OutputDirectory {}
SmartPointer< MeshType > | m_OutputMesh {}
SmartPointer< const TransformBase > | m_Transform {}
SmartPointer< const elx::TransformixMain > | m_TransformixMain {}
std::string | m_TransformParameterFileName {}

## Member Typedef Documentation

## ArgumentMapEntryType

template<typename TImage>

using itk::TransformixFilter< TImage >::ArgumentMapEntryType = ArgumentMapType::value_type

Definition at line 80 of file itkTransformixFilter.h.

## ArgumentMapType

template<typename TImage>

using itk::TransformixFilter< TImage >::ArgumentMapType = TransformixMainType::ArgumentMapType

Definition at line 79 of file itkTransformixFilter.h.

## ConstPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::ConstPointer = SmartPointer<const Self>

Definition at line 68 of file itkTransformixFilter.h.

## DataObjectContainerPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::DataObjectContainerPointer = TransformixMainType::DataObjectContainerPointer

Definition at line 85 of file itkTransformixFilter.h.

## DataObjectContainerType

template<typename TImage>

using itk::TransformixFilter< TImage >::DataObjectContainerType = TransformixMainType::DataObjectContainerType

Definition at line 84 of file itkTransformixFilter.h.

## DataObjectIdentifierType

template<typename TImage>

using itk::TransformixFilter< TImage >::DataObjectIdentifierType = ProcessObject::DataObjectIdentifierType

Definition at line 83 of file itkTransformixFilter.h.

## DataObjectPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::DataObjectPointer = ProcessObject::DataObjectPointer

Definition at line 82 of file itkTransformixFilter.h.

## DataObjectPointerArraySizeType

template<typename TImage>

using itk::TransformixFilter< TImage >::DataObjectPointerArraySizeType = ProcessObject::DataObjectPointerArraySizeType

Definition at line 100 of file itkTransformixFilter.h.

## ElastixTransformBaseType

template<typename TImage>

using itk::TransformixFilter< TImage >::ElastixTransformBaseType = elx::TransformBase<elx::ElastixTemplate<TImage, TImage>>

private

Definition at line 288 of file itkTransformixFilter.h.

## InputImageType

template<typename TImage>

using itk::TransformixFilter< TImage >::InputImageType = TImage

Definition at line 102 of file itkTransformixFilter.h.

## MeshType

template<typename TImage>

using itk::TransformixFilter< TImage >::MeshType = Mesh<OutputImagePixelType, MovingImageDimension>

Definition at line 105 of file itkTransformixFilter.h.

## OutputDeformationFieldType

template<typename TImage>

using itk::TransformixFilter< TImage >::OutputDeformationFieldType

Initial value:
typename itk::Image<itk::Vector<float, TImage::ImageDimension>, TImage::ImageDimension>

Definition at line 97 of file itkTransformixFilter.h.

## ParameterMapType

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterMapType = ParameterObjectType::ParameterMapType

Definition at line 89 of file itkTransformixFilter.h.

## ParameterMapVectorType

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterMapVectorType = ParameterObjectType::ParameterMapVectorType

Definition at line 88 of file itkTransformixFilter.h.

## ParameterObjectConstPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterObjectConstPointer = typename ParameterObjectType::ConstPointer

Definition at line 92 of file itkTransformixFilter.h.

## ParameterObjectPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterObjectPointer = typename ParameterObjectType::Pointer

Definition at line 91 of file itkTransformixFilter.h.

## ParameterObjectType

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterObjectType = elx::ParameterObject

Definition at line 87 of file itkTransformixFilter.h.

## ParameterValueVectorType

template<typename TImage>

using itk::TransformixFilter< TImage >::ParameterValueVectorType = ParameterObjectType::ParameterValueVectorType

Definition at line 90 of file itkTransformixFilter.h.

## Pointer

template<typename TImage>

using itk::TransformixFilter< TImage >::Pointer = SmartPointer<Self>

Definition at line 67 of file itkTransformixFilter.h.

## Self

template<typename TImage>

using itk::TransformixFilter< TImage >::Self = TransformixFilter

Standard ITK typedefs.

Definition at line 65 of file itkTransformixFilter.h.

## SpatialJacobianDeterminantImageType

template<typename TImage>

using itk::TransformixFilter< TImage >::SpatialJacobianDeterminantImageType = itk::Image<float, MovingImageDimension>

Typedefs for images of determinants of spatial Jacobian matrices, and images of spatial Jacobian matrices

Definition at line 110 of file itkTransformixFilter.h.

## SpatialJacobianMatrixImageType

template<typename TImage>

using itk::TransformixFilter< TImage >::SpatialJacobianMatrixImageType

Initial value:
itk::Image<itk::Matrix<float, MovingImageDimension, MovingImageDimension>, MovingImageDimension>

Definition at line 111 of file itkTransformixFilter.h.

## Superclass

template<typename TImage>

using itk::TransformixFilter< TImage >::Superclass = ImageSource<TImage>

Definition at line 66 of file itkTransformixFilter.h.

## TransformixMainPointer

template<typename TImage>

using itk::TransformixFilter< TImage >::TransformixMainPointer = TransformixMainType::Pointer

Definition at line 78 of file itkTransformixFilter.h.

## TransformixMainType

template<typename TImage>

using itk::TransformixFilter< TImage >::TransformixMainType = elx::TransformixMain

Typedefs.

Definition at line 77 of file itkTransformixFilter.h.

## TransformType

template<typename TImage>

using itk::TransformixFilter< TImage >::TransformType = Transform<double, MovingImageDimension, MovingImageDimension>

Definition at line 107 of file itkTransformixFilter.h.

## Constructor & Destructor Documentation

## TransformixFilter()

template<typename TImage>

itk::TransformixFilter< TImage >::TransformixFilter | ( |  | ) |

protected

## Member Function Documentation

## ComputeDeformationFieldOff()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeDeformationFieldOff | ( |  | ) |

virtual

## ComputeDeformationFieldOn()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeDeformationFieldOn | ( |  | ) |

virtual

## ComputeDeterminantOfSpatialJacobianOff()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeDeterminantOfSpatialJacobianOff | ( |  | ) |

virtual

## ComputeDeterminantOfSpatialJacobianOn()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeDeterminantOfSpatialJacobianOn | ( |  | ) |

virtual

## ComputeSpatialJacobianDeterminantImage()

template<typename TImage>

SmartPointer< SpatialJacobianDeterminantImageType > itk::TransformixFilter< TImage >::ComputeSpatialJacobianDeterminantImage | ( |  | ) | const

Computes the spatial Jacobian determinant for each pixel, and returns an image of the computed values.

Note
  Before calling this member function, Update() must be called.

## ComputeSpatialJacobianMatrixImage()

template<typename TImage>

SmartPointer< SpatialJacobianMatrixImageType > itk::TransformixFilter< TImage >::ComputeSpatialJacobianMatrixImage | ( |  | ) | const

Computes the spatial Jacobian matrix for each pixel, and returns an image of the computed matrices.

Note
  Before calling this member function, Update() must be called.

## ComputeSpatialJacobianOff()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeSpatialJacobianOff | ( |  | ) |

virtual

## ComputeSpatialJacobianOn()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::ComputeSpatialJacobianOn | ( |  | ) |

virtual

## DisableOutput()

template<typename TImage>

void itk::TransformixFilter< TImage >::DisableOutput | ( |  | ) |

inline

Disables output to log and standard output.

Definition at line 214 of file itkTransformixFilter.h.

## GenerateData()

template<typename TImage>

void itk::TransformixFilter< TImage >::GenerateData | ( |  | ) |

override protected

## GenerateOutputInformation()

template<typename TImage>

void itk::TransformixFilter< TImage >::GenerateOutputInformation | ( |  | ) |

override protected

The ResultImage and ResultDeformationField get their image properties from the TransformParameterObject.

## GetClassName()

template<typename TImage>

virtual const char * itk::TransformixFilter< TImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetComputeDeformationField()

template<typename TImage>

virtual bool itk::TransformixFilter< TImage >::GetComputeDeformationField | ( |  | ) | const

virtual

## GetComputeDeterminantOfSpatialJacobian()

template<typename TImage>

virtual bool itk::TransformixFilter< TImage >::GetComputeDeterminantOfSpatialJacobian | ( |  | ) | const

virtual

## GetComputeSpatialJacobian()

template<typename TImage>

virtual bool itk::TransformixFilter< TImage >::GetComputeSpatialJacobian | ( |  | ) | const

virtual

## GetFirstElastixTransformBase()

template<typename TImage>

const ElastixTransformBaseType * itk::TransformixFilter< TImage >::GetFirstElastixTransformBase | ( |  | ) | const

private

## GetFixedPointSetFileName()

template<typename TImage>

virtual std::string itk::TransformixFilter< TImage >::GetFixedPointSetFileName | ( |  | ) | const

virtual

## GetInput() [1/2]

template<typename TImage>

const InputImageType * itk::TransformixFilter< TImage >::GetInput | ( |  | ) | const

## GetInput() [2/2]

template<typename TImage>

const DataObject * itk::TransformixFilter< TImage >::GetInput | ( | DataObjectPointerArraySizeType | index | ) | const

## GetLogFileName()

template<typename TImage>

virtual std::string itk::TransformixFilter< TImage >::GetLogFileName | ( |  | ) | const

virtual

## GetLogLevel()

template<typename TImage>

virtual ElastixLogLevel itk::TransformixFilter< TImage >::GetLogLevel | ( |  | ) | const

virtual

## GetLogToConsole()

template<typename TImage>

virtual bool itk::TransformixFilter< TImage >::GetLogToConsole | ( |  | ) | const

virtual

## GetLogToFile()

template<typename TImage>

virtual bool itk::TransformixFilter< TImage >::GetLogToFile | ( |  | ) | const

virtual

## GetMovingImage()

template<typename TImage>

const InputImageType * itk::TransformixFilter< TImage >::GetMovingImage | ( |  | ) | const

## GetOutput() [1/4]

template<typename TImage>

OutputImageType * itk::TransformixFilter< TImage >::GetOutput | ( |  | ) |

## GetOutput() [2/4]

template<typename TImage>

const OutputImageType * itk::TransformixFilter< TImage >::GetOutput | ( |  | ) | const

## GetOutput() [3/4]

template<typename TImage>

DataObject * itk::TransformixFilter< TImage >::GetOutput | ( | unsigned int | idx | ) |

## GetOutput() [4/4]

template<typename TImage>

const DataObject * itk::TransformixFilter< TImage >::GetOutput | ( | unsigned int | idx | ) | const

## GetOutputDeformationField() [1/2]

template<typename TImage>

OutputDeformationFieldType * itk::TransformixFilter< TImage >::GetOutputDeformationField | ( |  | ) |

## GetOutputDeformationField() [2/2]

template<typename TImage>

const OutputDeformationFieldType * itk::TransformixFilter< TImage >::GetOutputDeformationField | ( |  | ) | const

## GetOutputDirectory()

template<typename TImage>

virtual std::string itk::TransformixFilter< TImage >::GetOutputDirectory | ( |  | ) | const

virtual

## GetOutputMesh()

template<typename TImage>

const MeshType * itk::TransformixFilter< TImage >::GetOutputMesh | ( |  | ) | const

inline

Retrieves the output mesh, produced by an Update(), when an input mesh was specified.

Definition at line 227 of file itkTransformixFilter.h.

## GetTransformParameterFileName()

template<typename TImage>

virtual std::string itk::TransformixFilter< TImage >::GetTransformParameterFileName | ( |  | ) | const

virtual

## GetTransformParameterObject() [1/2]

template<typename TImage>

ParameterObjectType * itk::TransformixFilter< TImage >::GetTransformParameterObject | ( |  | ) |

## GetTransformParameterObject() [2/2]

template<typename TImage>

const ParameterObjectType * itk::TransformixFilter< TImage >::GetTransformParameterObject | ( |  | ) | const

## IsEmpty()

template<typename TImage>

bool itk::TransformixFilter< TImage >::IsEmpty | ( | const InputImageType * | inputImage | ) |

static private

IsEmpty.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TImage>

itk::TransformixFilter< TImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | TransformixFilter< TImage > |  | ) |

## itkStaticConstMacro()

template<typename TImage>

itk::TransformixFilter< TImage >::itkStaticConstMacro | ( | MovingImageDimension | ,
|  | unsigned int | ,
|  | TImage::ImageDimension | )

## LogToConsoleOff()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::LogToConsoleOff | ( |  | ) |

virtual

## LogToConsoleOn()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::LogToConsoleOn | ( |  | ) |

virtual

## LogToFileOff()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::LogToFileOff | ( |  | ) |

virtual

## LogToFileOn()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::LogToFileOn | ( |  | ) |

virtual

## MakeOutput()

template<typename TImage>

DataObjectPointer itk::TransformixFilter< TImage >::MakeOutput | ( | const DataObjectIdentifierType & | key | ) |

override protected

To support outputs of different types (i.e. ResultImage and ResultDeformationField) MakeOutput from itk::ImageSource< TOutputImage > needs to be overridden.

## New()

template<typename TImage>

Pointer itk::TransformixFilter< TImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## RemoveFixedPointSetFileName()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::RemoveFixedPointSetFileName | ( |  | ) |

inline virtual

Definition at line 139 of file itkTransformixFilter.h.

## RemoveLogFileName()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::RemoveLogFileName | ( |  | ) |

virtual

## RemoveMovingImage()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::RemoveMovingImage | ( |  | ) |

virtual

## RemoveOutputDirectory()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::RemoveOutputDirectory | ( |  | ) |

inline virtual

Definition at line 189 of file itkTransformixFilter.h.

## SetCombinationTransform()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetCombinationTransform | ( | TransformType * | _arg | ) |

virtual

## SetComputeDeformationField()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetComputeDeformationField | ( | bool | _arg | ) |

virtual

Compute deformation field On/Off.

## SetComputeDeterminantOfSpatialJacobian()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetComputeDeterminantOfSpatialJacobian | ( | bool | _arg | ) |

virtual

Compute determinant of spatial Jacobian On/Off.

## SetComputeSpatialJacobian()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetComputeSpatialJacobian | ( | bool | _arg | ) |

virtual

Compute spatial Jacobian On/Off.

## SetExternalTransform()

template<typename TImage>

void itk::TransformixFilter< TImage >::SetExternalTransform | ( | TransformType * |  | ) |

Set the transformation by means of an external ITK Transform. If null, the transformation is entirely specified by the transform parameter object that is set by SetTransformParameterObject. Otherwise, the transformation is specified by this transform object, with additional information from the specified transform parameter object. Will override a possible previous call to SetTransform.

## SetFixedPointSetFileName()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetFixedPointSetFileName | ( | std::string | _arg | ) |

virtual

Set/Get/Remove fixed point set filename.

## SetInput() [1/2]

template<typename TImage>

void itk::TransformixFilter< TImage >::SetInput | ( | DataObjectPointerArraySizeType | index,
|  | DataObject * | input )

## SetInput() [2/2]

template<typename TImage>

void itk::TransformixFilter< TImage >::SetInput | ( | InputImageType * | movingImage | ) |

## SetInputMesh()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetInputMesh | ( | const MeshType * | _arg | ) |

virtual

Sets an (optional) input mesh. An Update() will transform its points, and store them in the output mesh.

## SetLogFileName()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetLogFileName | ( | std::string | logFileName | ) |

virtual

Set/Get/Remove log filename.

## SetLogLevel()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetLogLevel | ( | ElastixLogLevel | _arg | ) |

virtual

## SetLogToConsole()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetLogToConsole | ( | bool | _arg | ) |

virtual

Log to std::cout on/off.

## SetLogToFile()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetLogToFile | ( | bool | _arg | ) |

virtual

Log to file on/off.

## SetMovingImage()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetMovingImage | ( | TImage * | inputImage | ) |

virtual

Set/Get/Add moving image.

## SetOutputDirectory()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetOutputDirectory | ( | std::string | _arg | ) |

virtual

Set/Get/Remove output directory.

## SetTransform()

template<typename TImage>

void itk::TransformixFilter< TImage >::SetTransform | ( | const TransformBase * |  | ) |

Sets the transformation. If null, the transformation is entirely specified by the transform parameter object that is set by SetTransformParameterObject. Otherwise, the transformation is specified by this transform object, with additional information from the specified transform parameter object. Will override a possible previous call to SetExternalTransform.

## SetTransformParameterFileName()

template<typename TImage>

void itk::TransformixFilter< TImage >::SetTransformParameterFileName | ( | std::string |  | ) |

## SetTransformParameterObject()

template<typename TImage>

virtual void itk::TransformixFilter< TImage >::SetTransformParameterObject | ( | ParameterObjectType * | transformParameterObject | ) |

virtual

Get/Set transform parameter object.

## Field Documentation

## m_CombinationTransform

template<typename TImage>

SmartPointer<TransformType> itk::TransformixFilter< TImage >::m_CombinationTransform

private

Definition at line 316 of file itkTransformixFilter.h.

## m_ComputeDeformationField

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_ComputeDeformationField { false }

private

Definition at line 299 of file itkTransformixFilter.h.

## m_ComputeDeterminantOfSpatialJacobian

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_ComputeDeterminantOfSpatialJacobian { false }

private

Definition at line 298 of file itkTransformixFilter.h.

## m_ComputeSpatialJacobian

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_ComputeSpatialJacobian { false }

private

Definition at line 297 of file itkTransformixFilter.h.

## m_EnableOutput

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_EnableOutput { true }

private

Definition at line 304 of file itkTransformixFilter.h.

## m_ExternalTransform

template<typename TImage>

SmartPointer<TransformType> itk::TransformixFilter< TImage >::m_ExternalTransform {}

private

Definition at line 314 of file itkTransformixFilter.h.

## m_FixedPointSetFileName

template<typename TImage>

std::string itk::TransformixFilter< TImage >::m_FixedPointSetFileName {}

private

Definition at line 296 of file itkTransformixFilter.h.

## m_InputMesh

template<typename TImage>

SmartPointer<const MeshType> itk::TransformixFilter< TImage >::m_InputMesh {}

private

Definition at line 310 of file itkTransformixFilter.h.

## m_LogFileName

template<typename TImage>

std::string itk::TransformixFilter< TImage >::m_LogFileName {}

private

Definition at line 302 of file itkTransformixFilter.h.

## m_LogLevel

template<typename TImage>

ElastixLogLevel itk::TransformixFilter< TImage >::m_LogLevel {}

private

Definition at line 308 of file itkTransformixFilter.h.

## m_LogToConsole

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_LogToConsole { false }

private

Definition at line 305 of file itkTransformixFilter.h.

## m_LogToFile

template<typename TImage>

bool itk::TransformixFilter< TImage >::m_LogToFile { false }

private

Definition at line 306 of file itkTransformixFilter.h.

## m_OutputDirectory

template<typename TImage>

std::string itk::TransformixFilter< TImage >::m_OutputDirectory {}

private

Definition at line 301 of file itkTransformixFilter.h.

## m_OutputMesh

template<typename TImage>

SmartPointer<MeshType> itk::TransformixFilter< TImage >::m_OutputMesh {}

private

Definition at line 311 of file itkTransformixFilter.h.

## m_Transform

template<typename TImage>

SmartPointer<const TransformBase> itk::TransformixFilter< TImage >::m_Transform {}

private

Definition at line 313 of file itkTransformixFilter.h.

## m_TransformixMain

template<typename TImage>

SmartPointer<const elx::TransformixMain> itk::TransformixFilter< TImage >::m_TransformixMain {}

private

Definition at line 293 of file itkTransformixFilter.h.

## m_TransformParameterFileName

template<typename TImage>

std::string itk::TransformixFilter< TImage >::m_TransformParameterFileName {}

private

Definition at line 295 of file itkTransformixFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |